Disallow non-nullary constraint synonyms on class.
ClosedPublic

Authored by ezyang on Feb 27 2017, 5:53 PM.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang created this revision.Feb 27 2017, 5:53 PM
ezyang updated this revision to Diff 11382.Feb 27 2017, 10:16 PM

one more tiny comment

bgamari accepted this revision.Mar 1 2017, 2:56 PM

Looks good to me.

This revision is now accepted and ready to land.Mar 1 2017, 2:56 PM
bgamari requested changes to this revision.Mar 2 2017, 3:27 PM

Could you rebase this, @ezyang?

This revision now requires changes to proceed.Mar 2 2017, 3:27 PM
This revision was automatically updated to reflect the committed changes.